Bug 139854 - System reboot on startx using i810
System reboot on startx using i810
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 09:41 EST by Jim Pease
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: Fedora Core 4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 04:17:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug-related config file (3.38 KB, text/plain)
2004-11-18 09:45 EST, Jim Pease
no flags Details
Bug-related log file (49.45 KB, text/plain)
2004-11-18 09:47 EST, Jim Pease
no flags Details
Bug-related log file (51.99 KB, text/plain)
2004-12-07 10:09 EST, Jim Pease
no flags Details

  None (edit)
Description Jim Pease 2004-11-18 09:41:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Since installation of Core 3, I have been unable to get a dual-head
setup working with the i810 driver (or a single monitor setup using
i810, for that matter).  Fortunately, I have an nv card that works
fine.  I had a working setup in Core 1 with the same hardware.  I have
tried various "fixes" detailed in other i810 bug reports without any
success, and the latest package doesn't provide a fix either.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-12.FC3.1

How reproducible:
Always

Steps to Reproduce:
1.startx or X -config with attached xorg.conf
2.
3.
    

Actual Results:  System reboots.

Expected Results:  X windows with dual monitor setup.

Additional info:

I get the following errors in my Xorg log:

...
(II) I810(1): initializing int10
(EE) I810(1): Cannot read V_BIOS
(II) I810(1): this driver cannot do DDC without VBE
...
(II) I810(1): [agp] GART: no dcache memory found
(II) I810(1): [agp] Bound backbuffer memory
(II) I810(1): [agp] Bound depthbuffer memory
(EE) I810(1): [agp] Unable to allocate system texture memory.
Disabling DRI.
(II) I810(1): [drm] removed 1 reserved context for kernel
Comment 1 Jim Pease 2004-11-18 09:45:05 EST
Created attachment 106959 [details]
Bug-related config file
Comment 2 Jim Pease 2004-11-18 09:47:07 EST
Created attachment 106960 [details]
Bug-related log file
Comment 3 Jim Pease 2004-11-23 16:15:36 EST
Changed the primary video controller setting in BIOS to onboard
(i810).  Computer doesn't reboot now, but i810 display shows garbage.
Comment 4 Jim Pease 2004-11-23 16:25:38 EST
Problem has been "fixed" by installing i810 module directly from Xorg
CVS.  I still consider this a bug, since a dual-head setup could be
performed easily under Core 1 without tweaked BIOS setting.  What has
changed since then that would cause it to break under Core 3?
Comment 5 Mike A. Harris 2004-11-24 08:33:20 EST
Red Hat hasn't changed anything at all in X in the i810 driver.
You'd really need to ask the X.Org developers who wrote and maintain
the i810 driver, or take a diff of the sources between the two
versions of X between when it worked and does not work.  We just
ship what X.Org supplies, however we do not have any involvement
in the direct developement of the i810 driver.

I would recommend re-asking your question from comment #4 on the
xorg@freedesktop.org mailing list forum, where it might hit the
developers who work on the code.

I also would recommend filing a bug report in the X.Org bugzilla
at http://bugs.freedesktop.org in the "xorg" component, which
will increase the likelyhood of someone being able to fix it
sooner.  There will be a bugfix release of X.Org 6.8.2 sometime
probably in January, so letting them know of this problem now
might result in it being fixed for the 6.8.2 release.

When you file your bug in freedesktop bugzilla, paste the URL here
and Red Hat will track the issue in the official bugzilla and
review any bug fixes for potential inclusion in future Fedora Core 3
X.Org updates.

Hope this helps, thanks in advance.
Comment 6 Jim Pease 2004-11-24 10:16:44 EST
I have been "mirroring" this bug in the freedesktop bugzilla
https://bugs.freedesktop.org/show_bug.cgi?id=1884.  Another bug report
(possibly a dup?) seems to report similar problems
https://bugs.freedesktop.org/show_bug.cgi?id=1455.  It didn't appear
that reports there got that much attention, so I reported it here in
the hopes that it would.  So, thank _you_ for the response and for the
work that you are doing.
Comment 7 Mike A. Harris 2004-11-24 10:55:33 EST
Bugs reported to X.Org do get attention, but wont necessarily
get immediate attention.  X.Org is developed by volunteers who
individually work on the things they personally decide to hack
on at any given time, so there is no guaranteed response time
on a given bug that gets filed there.  In general, most bugs
that are filed there will get reviewed at least once before
the next major X release, and a majority of the issues addressed.

Once one has filed a bug in X.Org bugzilla, the best thing to do
is to either wait, or to continue to try and add any relevant
information to the bug report.  It's also a good idea to use
the xorg mailing list to try to find out what additional information
or troubleshooting steps you might be able to do to assist the
developers who are working on the particular area of code the
problem is being experienced in.

Generally speaking, driver bugs are best handled by the upstream
driver maintainers, or the hardware companies who supply patches
for the drivers to add new support.  Open source volunteer developers
also contribute of course, and so does Red Hat and other vendors,
but nobody has all of the wide array of video hardware out there,
and there always seems to be about 10 times as many bugs at any
one given time than there are people and man hours available to
investigate them.  ;o)

As such, I would always recommend reporting driver bugs to X.Org
first, since that hits the entire X development community, whereas
reporting to Red Hat, usually hits only 1 to 4 developers who
often already have heavy works schedules lined up.  It does not
hurt to report bugs in both places though, as that may maximize
the chance of something being fixed even sooner, however we do
internally use the X.Org bugzilla ourselves too, so if you file
there, we'll usually see it too.

Thanks for the bug URLs for tracking!  If we find a fix for this,
we'll update all 3 reports.

Take care,
TTYL
Comment 8 Mike A. Harris 2004-12-07 04:38:14 EST
We have added a patch taken from X.Org CVS head for the Intel i810
driver, that is known to fix various issues in the 6.8.1 i810
driver.  The new driver is now integrated into the latest
xorg-x11 update available for Fedora Core 3, and may resolve this
issue for you.  Please upgrade to our latest kernel and xorg-x11
rpms for FC3, and update the report to indicate if it resolves
the problem for you.

Thanks in advance.
Comment 9 Jim Pease 2004-12-07 10:06:07 EST
I performed the update, and booted with the nVidia card set as
primary, and onboard i810 as secondary in the BIOS.  Now, startx
doesn't reboot the system with dual-head setup, but the display
running i810 becomes garbled and the server locks up.  Booting with
the i810 set as primary and nVidia set as secondary works fine (i810
soft-boot problem?).
Comment 10 Jim Pease 2004-12-07 10:09:56 EST
Created attachment 108042 [details]
Bug-related log file

Here is the latest log.  It seems that there are still remants of my previous
install from CVS.  I'm assuming that the RPM overwrites all the pertinant
files?
Comment 11 Marius Andreiana 2005-08-20 02:47:39 EDT
Does FC4 work for you on the same setup?
Comment 12 Mike A. Harris 2005-08-30 04:17:51 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.